[Pkg-nagios-changes] [pkg-nagios] r2117 - in nagios-plugins/trunk/debian: . bin source
Jan Wagner
waja at alioth.debian.org
Wed Aug 28 09:14:19 UTC 2013
Author: waja
Date: 2013-08-28 09:14:18 +0000 (Wed, 28 Aug 2013)
New Revision: 2117
Added:
nagios-plugins/trunk/debian/bin/repack.sh
Removed:
nagios-plugins/trunk/debian/source/repack.sh
Modified:
nagios-plugins/trunk/debian/README.source
nagios-plugins/trunk/debian/changelog
Log:
move repack.sh to debian/bin/
Modified: nagios-plugins/trunk/debian/README.source
===================================================================
--- nagios-plugins/trunk/debian/README.source 2013-08-28 08:52:57 UTC (rev 2116)
+++ nagios-plugins/trunk/debian/README.source 2013-08-28 09:14:18 UTC (rev 2117)
@@ -7,7 +7,7 @@
* perlmods/
* contrib/
-Therefor you should use the script debian/source/repack.sh:
+Therefor you should use the script debian/bin/repack.sh:
repack.sh <upstream-tarball>
Copied: nagios-plugins/trunk/debian/bin/repack.sh (from rev 2113, nagios-plugins/trunk/debian/source/repack.sh)
===================================================================
--- nagios-plugins/trunk/debian/bin/repack.sh (rev 0)
+++ nagios-plugins/trunk/debian/bin/repack.sh 2013-08-28 09:14:18 UTC (rev 2117)
@@ -0,0 +1,37 @@
+#!/bin/bash
+# Borrowed from Raphael Geissert's Debian PHP repack script.
+
+set -e
+
+if [ ! -f "$3" ] && [ ! -f "$1" ]; then
+ echo "This script must be run via uscan or by manually specifying the tarball" >&2
+ exit 1
+fi
+
+tarball=
+
+[ -f "$3" ] && tarball="$3"
+[ -z "$tarball" -a -f "$1" ] && tarball="$1"
+
+tarball="$(readlink -f "$tarball")"
+
+tdir="$(mktemp -d)"
+trap '[ ! -d "$tdir" ] || rm -r "$tdir"' EXIT
+
+tar -xzf $tarball -C $tdir
+cp -a "$tarball" "$tarball.orig"
+distdir="$(basename $(ls -d $tdir/*))"
+srcdir="$tdir/$distdir"
+
+#echo "Adjusting $srcdir/configure"
+sed -i 's/perlmods\/Makefile\ //' $srcdir/configure
+sed -i '/perlmods\/Makefile/d' $srcdir/configure
+#echo "Adjusting $srcdir/Makefile*"
+sed -i 's/\ contrib\ / /' $srcdir/Makefile*
+sed -i 's/perlmods\ //' $srcdir/Makefile*
+#echo "Removing $srcdir/perlmods/ and $srcdir/contrib/"
+rm -rf $srcdir/perlmods/ $srcdir/contrib/
+
+#tarball=$(echo $tarball|sed 's/\.orig\.tar\.gz/+dfsg.orig.tar.gz/')
+tar -cof "${tarball/.gz}" -C $tdir/ $distdir
+gzip -f9 "${tarball/.gz}"
Modified: nagios-plugins/trunk/debian/changelog
===================================================================
--- nagios-plugins/trunk/debian/changelog 2013-08-28 08:52:57 UTC (rev 2116)
+++ nagios-plugins/trunk/debian/changelog 2013-08-28 09:14:18 UTC (rev 2117)
@@ -11,9 +11,9 @@
* Add new check_dbi into nagios-plugins-standard
* Remove whois from Recommands, as check_bgpstate is removed
* Cleanup debian/rules from unused stuff
- * Provide informations about repackaging
+ * Provide information about repackaging
- Extend debian/README.source
- - Add debian/source/repack.sh
+ - Add debian/bin/repack.sh
-- Jan Wagner <waja at cyconet.org> Fri, 23 Aug 2013 22:45:43 +0200
Deleted: nagios-plugins/trunk/debian/source/repack.sh
===================================================================
--- nagios-plugins/trunk/debian/source/repack.sh 2013-08-28 08:52:57 UTC (rev 2116)
+++ nagios-plugins/trunk/debian/source/repack.sh 2013-08-28 09:14:18 UTC (rev 2117)
@@ -1,37 +0,0 @@
-#!/bin/bash
-# Borrowed from Raphael Geissert's Debian PHP repack script.
-
-set -e
-
-if [ ! -f "$3" ] && [ ! -f "$1" ]; then
- echo "This script must be run via uscan or by manually specifying the tarball" >&2
- exit 1
-fi
-
-tarball=
-
-[ -f "$3" ] && tarball="$3"
-[ -z "$tarball" -a -f "$1" ] && tarball="$1"
-
-tarball="$(readlink -f "$tarball")"
-
-tdir="$(mktemp -d)"
-trap '[ ! -d "$tdir" ] || rm -r "$tdir"' EXIT
-
-tar -xzf $tarball -C $tdir
-cp -a "$tarball" "$tarball.orig"
-distdir="$(basename $(ls -d $tdir/*))"
-srcdir="$tdir/$distdir"
-
-#echo "Adjusting $srcdir/configure"
-sed -i 's/perlmods\/Makefile\ //' $srcdir/configure
-sed -i '/perlmods\/Makefile/d' $srcdir/configure
-#echo "Adjusting $srcdir/Makefile*"
-sed -i 's/\ contrib\ / /' $srcdir/Makefile*
-sed -i 's/perlmods\ //' $srcdir/Makefile*
-#echo "Removing $srcdir/perlmods/ and $srcdir/contrib/"
-rm -rf $srcdir/perlmods/ $srcdir/contrib/
-
-#tarball=$(echo $tarball|sed 's/\.orig\.tar\.gz/+dfsg.orig.tar.gz/')
-tar -cof "${tarball/.gz}" -C $tdir/ $distdir
-gzip -f9 "${tarball/.gz}"
More information about the Pkg-nagios-changes
mailing list